Package com.enonic.xp.export

## Class NodeImportResult

- java.lang.Object
- - com.enonic.xp.export.NodeImportResult

-     @PublicApi
      public class NodeImportResult
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeImportResult.Builder` |
    `static class` | `NodeImportResult.ImportError` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `NodePaths` | `addedNodes` |
    `NodePaths` | `updateNodes` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeImportResult.Builder` | `create()` |
    `NodePaths` | `getAddedNodes()` |
    `List<String>` | `getExportedBinaries()` | Deprecated.
    `List<String>` | `getImportedBinaries()` |
    `List<NodeImportResult.ImportError>` | `getImportErrors()` |
    `NodePaths` | `getUpdateNodes()` |
    `boolean` | `isDryRun()` |
    `void` | `setExportedBinaries​(List<String> exportedBinaries)` | Deprecated.
    `void` | `setImportErrors​(List<NodeImportResult.ImportError> importErrors)` | Deprecated.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### addedNodes

          public final NodePaths addedNodes

    - #### updateNodes

          public final NodePaths updateNodes

  - ### Method Detail

    - #### create

          public static NodeImportResult.Builder create()

    - #### getImportErrors

          public List<NodeImportResult.ImportError> getImportErrors()

    - #### setImportErrors

          @Deprecated
          public void setImportErrors​(List<NodeImportResult.ImportError> importErrors)

      Deprecated.

    - #### getExportedBinaries

          @Deprecated
          public List<String> getExportedBinaries()

      Deprecated.

    - #### setExportedBinaries

          @Deprecated
          public void setExportedBinaries​(List<String> exportedBinaries)

      Deprecated.

    - #### getImportedBinaries

          public List<String> getImportedBinaries()

    - #### getAddedNodes

          public NodePaths getAddedNodes()

    - #### getUpdateNodes

          public NodePaths getUpdateNodes()

    - #### isDryRun

          public boolean isDryRun()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`